Bug 109639 - Re-boot fails due to gdth driver crash. System crash on gdth driver read.
Re-boot fails due to gdth driver crash. System crash on gdth driver read.
Status: CLOSED DUPLICATE of bug 104520
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-10 10:46 EST by Daniel King
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:59:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel King 2003-11-10 10:46:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5a)
Gecko/20030728 Mozilla Firebird/0.6.1

Description of problem:
# shutdown -r 0

all running services shutdown [ OK ]
...
Unmounting file systems: [ OK ]
Halting system...
md: Stopping all md devices.
flushing ide devices: hda hdc
GDT: Flushing all host drives.. Starting timer : 0 0

System becomes inactive

Type <ctrl - alt - delete> at console

md: Stopping all md devices.
flushing ide devices: hda hdc
GDT: Flushing all host drives.. Starting timer : 0 0

Type <ctrl - alt - delete> at console

System hangs/crashes. Response not possible.
Press Reset button to re-boot system.

= = = = = = = = = = = = 
From a running server:
Attempt to read from driver at command prompt

# cat /proc/scsi/gdth/0
Starting Timer : 0 0

This console hangs.
Switch to new console and login.

# lsmod
usual modules listed along with gdth.

# mount
Console hangs.
Server hangs.
<ctrl - alt - delete> has no effect.
Press Reset button to re-boot system.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. # shutdown -r 0
or
1. # cat /proc/scsi/gdth/0
    

Additional info:

System Hardware
----------------
Tyan Tiger S2723GNN i7501 Dual Xeon 533FSB Mainboard
Dual Intel P4 Xeon 2.4GHZ 512K Cache 533FSB Processors
1Gb DDR RAM
40Gb IDE boot disk
ICP Vortex Disk Array Controller - GDT8523RZ. 1 RAID5 partition.
Comment 2 Doug Ledford 2003-11-10 18:56:18 EST

*** This bug has been marked as a duplicate of 104520 ***
Comment 3 Red Hat Bugzilla 2006-02-21 13:59:55 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.